case $CONFIG in
'')
	if test ! -f config.sh; then
		ln ../config.sh . || \
		ln ../../config.sh . || \
		ln ../../../config.sh . || \
		ln ../../../../config.sh . || \
		(echo "Can't find config.sh."; exit 1)
	fi 2>/dev/null
	. ./config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting zsh (with variable substitutions)"
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >zsh <<!GROK!THIS!
##
##	Functions for Environment Modification
##
#################################################################
##  $Id: zsh.SH,v 2.0 1993/02/21 00:02:47 jlf Exp jlf $
#################################################################

module() { eval \`$modules_bin/modulecmd zsh \$*\`; }

MODULESHOME=$modules_home
export MODULESHOME

if [ "\$LOADEDMODULES" = "" ]; then
  LOADEDMODULES=
  export LOADEDMODULES
fi

if [ "\$MODULEPATH" = "" ]; then
  MODULEPATH=$modules_files
  export MODULEPATH
fi
!GROK!THIS!
: In the following dollars and backticks do not need the extra backslash.
$spitshell >>zsh <<'!NO!SUBS!'
!NO!SUBS!
chmod 644 zsh
$eunicefix zsh
